io.milvus.param.role

## Class SelectGrantForRoleAndObjectParam.Builder

- java.lang.Object
- - io.milvus.param.role.SelectGrantForRoleAndObjectParam.Builder

Enclosing class:
  SelectGrantForRoleAndObjectParam

    public static final class SelectGrantForRoleAndObjectParam.Builder
    extends java.lang.Object

Builder for `SelectGrantForRoleAndObjectParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`SelectGrantForRoleAndObjectParam` `build()` Verifies parameters and creates a new `SelectGrantForRoleAndObjectParam` instance.
`SelectGrantForRoleAndObjectParam.Builder` `withObject(@NonNull java.lang.String object)` Sets the object.
`SelectGrantForRoleAndObjectParam.Builder` `withObjectName(@NonNull java.lang.String objectName)` Sets the objectName.
`SelectGrantForRoleAndObjectParam.Builder` `withRoleName(@NonNull java.lang.String roleName)` Sets the roleName.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withRoleName

    public SelectGrantForRoleAndObjectParam.Builder withRoleName(@NonNull
                                                                 @NonNull java.lang.String roleName)

Sets the roleName. RoleName cannot be empty or null.

Parameters:
  `roleName` - roleName
Returns:
  `Builder`

#### withObject

    public SelectGrantForRoleAndObjectParam.Builder withObject(@NonNull
                                                               @NonNull java.lang.String object)

Sets the object. object cannot be empty or null.

Parameters:
  `object` - object
Returns:
  `Builder`

#### withObjectName

    public SelectGrantForRoleAndObjectParam.Builder withObjectName(@NonNull
                                                                   @NonNull java.lang.String objectName)

Sets the objectName. objectName cannot be empty or null.

Parameters:
  `objectName` - objectName
Returns:
  `Builder`

#### build

    public SelectGrantForRoleAndObjectParam build()
                                           throws ParamException

Verifies parameters and creates a new `SelectGrantForRoleAndObjectParam` instance.

Returns:
  `SelectGrantForRoleAndObjectParam`
Throws:
  `ParamException`